%global _empty_manifest_terminate_build 0
Name:           python-oslo-utils
Version:        4.8.0
Release:        1
Summary:        Oslo Utility library
License:        Apache-2.0
URL:            https://docs.openstack.org/oslo.utils/latest/
Source0:        https://files.pythonhosted.org/packages/6e/c2/2e3800122ec247efc79ee2f4a482185926613d162bfe29d74bbba81d77b0/oslo.utils-4.8.0.tar.gz
BuildArch:      noarch

%description
The oslo.utils library provides support for common utility type functions, such as encoding, exception handling, string manipulation, and time handling.

%package -n python3-oslo-utils
Summary:        Oslo Utility library
Provides:       python-oslo-utils
# Base build requires
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
# General requires
BuildRequires:  python3-debtcollector
BuildRequires:  python3-iso8601
BuildRequires:  python3-netaddr
BuildRequires:  python3-netifaces
BuildRequires:  python3-oslo-i18n
BuildRequires:  python3-packaging
BuildRequires:  python3-pyparsing
BuildRequires:  python3-pytz
# General requires
Requires:       python3-debtcollector
Requires:       python3-iso8601
Requires:       python3-netaddr
Requires:       python3-netifaces
Requires:       python3-oslo-i18n
Requires:       python3-packaging
Requires:       python3-pbr
Requires:       python3-pyparsing
Requires:       python3-pytz

%description -n python3-oslo-utils
The oslo.utils library provides support for common utility type functions, such as encoding, exception handling, string manipulation, and time handling.

%package help
Summary:        Oslo Utility library
Provides:       python3-oslo-utils-doc

%description help
The oslo.utils library provides support for common utility type functions, such as encoding, exception handling, string manipulation, and time handling.

%prep
%autosetup -n oslo.utils-4.8.0

%build
%py3_build

%install
%py3_install

install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
    find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
    find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .


%files -n python3-oslo-utils -f filelist.lst

%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Mon Jul 19 2021 yaozc701 <yaozc7@foxmail.com> - 4.8.0-1
- Upgrade version to 4.8.0
* Sat Jan 30 2021 zhangy <zhangy1317@foxmail.com>
- Add buildrequires
* Fri Jan 08 2021 Python_Bot <Python_Bot@openeuler.org>
- Package Spec generated
